module CDrillWatchVariables
    implicit none  
    
    public    
    
    
    ! Input vars
    Type, Public::DrillingWatchType
        ! Output vars
        real(8) :: Depth
        real(8) :: BitPosition
        real(8) :: HookLoad
        real(8) :: WeightOnBit
        real(8) :: RPM
        real(8) :: ROP
        real(8) :: Torque
        real(8) :: PumpPressure
        real(8) :: SPM1
        real(8) :: SPM2
        !real(8) :: SPM3
        real(8) :: CasingPressure
        real(8) :: PercentFlow
        real(8) :: PitGainLose
        real(8) :: PitVolume
        real(8) :: KillMudVolume
        real(8) :: TripTankVolume
        real(8) :: MudWeightIn
        real(8) :: FillVolume
        real(8) :: MudWeightOut
    End Type DrillingWatchType
    
    
    
end module CDrillWatchVariables